<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingStart="2dp"
        android:paddingTop="0dp"
        android:paddingEnd="2dp"
        android:paddingBottom="2dp">

        <LinearLayout
            android:id="@+id/expandBar"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/ic_rounded_corner_edgier_top"
            android:backgroundTint="@color/colorBase04DoNotInvert"
            android:foreground="?android:attr/selectableItemBackground"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingStart="8dp"
            android:paddingTop="11dp"
            android:paddingEnd="8dp"
            android:paddingBottom="4dp">

            <TextView
                android:id="@+id/ruleTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="TextView"
                android:textColor="@color/colorBase18DoNotInvert"
                android:textSize="18sp" />

            <Space
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

            <ImageView
                android:id="@+id/expandIcon"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:foreground="?android:attr/selectableItemBackground"
                app:srcCompat="@drawable/ic_expand_more_black_24dp"
                app:tint="@color/colorBase18DoNotInvert" />
        </LinearLayout>

        <com.github.chuross.library.ExpandableLayout
            android:id="@+id/expandable"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:exl_collapseHeight="0dp"
            app:exl_duration="500">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/colorBase04DoNotInvert"
                android:orientation="vertical"
                android:paddingLeft="6dp"
                android:paddingTop="7dp"
                android:paddingRight="6dp">

                <View
                    android:layout_width="match_parent"
                    android:layout_height="3dp"
                    android:background="@drawable/ic_rounded_corner_edgier_top"
                    android:backgroundTint="@color/colorBase21DoNotInvert" />


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/colorBase21DoNotInvert"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/fulltext"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="6dp"
                        android:text="Sample Text"
                        android:textColor="@color/colorBlackDoNotInvert" />

                    <ImageView
                        android:id="@+id/collapser"
                        android:layout_width="match_parent"
                        android:layout_height="56dp"
                        android:backgroundTint="@color/colorBase04DoNotInvert"
                        android:foreground="?android:attr/selectableItemBackground"
                        android:src="@drawable/ic_expand_less_black_24dp" />

                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="3dp"
                    android:background="@drawable/ic_rounded_corner_edgier_bottom"
                    android:backgroundTint="@color/colorBase21DoNotInvert" />
            </LinearLayout>
        </com.github.chuross.library.ExpandableLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="7dp"
            android:background="@drawable/ic_rounded_corner_edgier_bottom"
            android:backgroundTint="@color/colorBase04DoNotInvert" />

    </LinearLayout>

</androidx.coordinatorlayout.widget.CoordinatorLayout>